Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector
Class AbstractSelector

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.AbstractSelector

All Implemented Interfaces:
  EventListener, Selector, SolverPhaseLifecycleListener, SolverLifecycleListener

Direct Known Subclasses:
  AbstractEntitySelector, AbstractMoveSelector, AbstractValueSelector, DefaultSubChainSelector, SameValuePillarSelector

    public abstract class AbstractSelector

extends Object
implements Selector

Abstract superclass for `Selector`.

See Also:
  `Selector`

Field Summary
`protected org.slf4j.Logger` | `logger`
`protected SolverPhaseLifecycleSupport` | `solverPhaseLifecycleSupport`
`protected Random` | `workingRandom`

Constructor Summary
`AbstractSelector()`

Method Summary
`SelectionCacheType` | `getCacheType()` Unless this selector itself caches, this returns `SelectionCacheType.JUST_IN_TIME`, even if a selector child caches.
`void` | `phaseEnded(AbstractSolverPhaseScope phaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope phaseScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector
`isContinuous, isNeverEnding`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### solverPhaseLifecycleSupport

    protected SolverPhaseLifecycleSupport solverPhaseLifecycleSupport

### workingRandom

    protected Random workingRandom

Constructor Detail

### AbstractSelector

    public AbstractSelector()

Method Detail

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(AbstractStepScope stepScope)

  Specified by:
    `stepStarted` in interface `SolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(AbstractStepScope stepScope)

  Specified by:
    `stepEnded` in interface `SolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`

### getCacheType

    public SelectionCacheType getCacheType()

  Description copied from interface: `Selector`
  Unless this selector itself caches, this returns `SelectionCacheType.JUST_IN_TIME`, even if a selector child caches.

  Specified by:
    `getCacheType` in interface `Selector`
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.